#
# spec file for package usbview
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           usbview
Version:        3.0
Release:        1.10
Summary:        USB Topology and Device Viewer
License:        GPL-2.0-only
Group:          Hardware/Other
URL:            https://github.com/gregkh/usbview
Source:         https://github.com/gregkh/usbview/archive/refs/tags/v%{version}.tar.gz
Source1:        %{name}.desktop
BuildRequires:  ImageMagick
BuildRequires:  automake
BuildRequires:  gtk3-devel
BuildRequires:  update-desktop-files

%description
USBView is a GTK program that displays the topography of the devices
that are plugged into the USB on a Linux machine. It also displays
information on each of the devices. This can be useful to determine if
a device is working properly.

%prep
%setup -q

%build
sh autogen.sh
%configure --disable-polkit

%install
%make_install
%suse_update_desktop_file -i %{name} System Monitor

%files
%license LICENSES/GPL-2.0-only.txt
%doc ChangeLog README
%{_bindir}/usbview
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/usbview.*
%{_mandir}/man?/*.*

%changelog
* Mon Jan 24 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Drop polkit (Build)Requires: without a polkit pkexec file, we
  also do not have to rely on polkit.
- Pass --disable-polkit to configure instead of letting make
  install copy a file which we later delete again.
* Mon Jan 24 2022 Marcus Meissner <meissner@suse.com>
- explicitly remove unneeded polkit pkexec file (bsc#1194300).
* Sat Jan 22 2022 Dirk Müller <dmueller@suse.com>
- update to 3.0:
  - remove need for debugfs/usbdevfs/usbfs file entirely, rely only on
    sysfs now.  This removes the need to run the program as root, which
    should have never happened.
  - added SPDX identifiers and .spdx file to make packaging easier for
  others.
* Fri Jan 21 2022 Marcus Meissner <meissner@suse.com>
- update to 2.2:
  - security issue fixed with polkit (CVE-2022-23220 bsc#1194300).
  - copyright year fixups and updates
  - tooltip added to explain red devices have no attached drivers
* Mon Dec 20 2021 Dirk Müller <dmueller@suse.com>
- update to 2.1:
  - build warnings fixed
  - increased max number of interfaces allowed, fixing problem with some
    USB sound devices.
  - autogen.sh added
  - LICENSES directory added and license moved to it
  - SPDX license headers added
  - policykit support added
* Sat Jun 29 2013 meissner@suse.com
- updated to 2.0
  + gtk 3.0 port
  + /proc/bus/usb/devices has moved to /sys/kernel/debug/usb/devices
* Mon Dec 28 2009 vuntz@opensuse.org
- Update to version 1.1:
  + pretty icon
  + gtk 2.0 support
  + added "..." to About and Configure dialogs
  + fixed gtk warning when about dialog was displayed
- Clean up packaging.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly (missing \)
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 15 2003 adrian@suse.de
- add desktop file
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jan 10 2001 grimmer@suse.de
- Update to 1.0 (bugfix release)
* Sun Nov  5 2000 ro@suse.de
- fixed neededforbuild
* Thu Oct  5 2000 grimmer@suse.de
- initial package created (version 0.9.0)
